### Method

# GUPnP DeviceInfo get_friendly_name

#### Declaration [src]

    char*
    gupnp_device_info_get_friendly_name (
      GUPnPDeviceInfo* info
    )

#### Description [src]

Get the friendly name of the device.

#### Return value

Returns: | `char*`
| A newly allocated string containing the “friendly name” of the device, or `NULL` if not available. `g_free()` after use.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.